| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# IG::Num::OutputElementDefinition Class Reference

Input data element definition for vector functions, approximations, etc. More...

Inheritance diagram for IG::Num::OutputElementDefinition:
[legend]
Collaboration diagram for IG::Num::OutputElementDefinition:
[legend]

List of all members.

## Public Member Functions
| OutputElementDefinition (int elementIndex, string name, string title, string description)
| Constructor.
| OutputElementDefinition (string name)
| Constructor. Element index is unknown, there is no element description.
| OutputElementDefinition (string name, string title)
| Constructor. Element index is unknown.
| OutputElementDefinition (string name, string title, string description)
| Constructor. Element index is unknown.
OutputElementDefinition | GetCopy ()
| Creates and returns a deep copy of the current output data element definition.
override string | ToString ()
## Static Public Member Functions
static void | CopyPlain (OutputElementDefinition original, OutputElementDefinition copy)
| Copies data from one output data element definition to another.
static void | Copy (OutputElementDefinition original, ref OutputElementDefinition copy)
| Copies data from one output data element definition to another.

## Detailed Description

Input data element definition for vector functions, approximations, etc.

$A Igor Feb11;

## Constructor & Destructor Documentation

IG::Num::OutputElementDefinition::OutputElementDefinition | ( | int | elementIndex,
|  | string | name,
|  | string | title,
|  | string | description
| ) |  | `[inline]`

Constructor.

Parameters:

  elementIndex | Index of the input or output data element specified by the current definision. If less than 0 is specified then it is considered that element index is not known or defined in the current context.
  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbvitrary string.

IG::Num::OutputElementDefinition::OutputElementDefinition | ( | string | name | ) | `[inline]`

Constructor. Element index is unknown, there is no element description.

Parameters:

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.

IG::Num::OutputElementDefinition::OutputElementDefinition | ( | string | name,
|  | string | title
| ) |  | `[inline]`

Constructor. Element index is unknown.

Parameters:

  elementIndex | Index of the input or output data element specified by the current definision. If less than 0 is specified then it is considered that element index is not known or defined in the current context.
  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).

IG::Num::OutputElementDefinition::OutputElementDefinition | ( | string | name,
|  | string | title,
|  | string | description
| ) |  | `[inline]`

Constructor. Element index is unknown.

Parameters:

  elementIndex | Index of the input or output data element specified by the current definision. If less than 0 is specified then it is considered that element index is not known or defined in the current context.
  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbitrary string.

## Member Function Documentation

OutputElementDefinition IG::Num::OutputElementDefinition::GetCopy | ( |  | ) | `[inline]`

Creates and returns a deep copy of the current output data element definition.

static void IG::Num::OutputElementDefinition::CopyPlain | ( | OutputElementDefinition | original,
|  | OutputElementDefinition | copy
| ) |  | `[inline, static]`

Copies data from one output data element definition to another.

Parameters:

  original | Source object that data is copied from.
  copy | Object to which data is copied.

Operation is performed only if both sorce and destination objects are non-null.

static void IG::Num::OutputElementDefinition::Copy | ( | OutputElementDefinition | original,
|  | ref OutputElementDefinition | copy
| ) |  | `[inline, static]`

Copies data from one output data element definition to another.

Parameters:

  original | Source object that data is copied from.
  copy | Object to which data is copied.

If original object is null then destination object is also set to null. If destination object is nul then it is allocated anew.

override string IG::Num::OutputElementDefinition::ToString | ( |  | ) | `[inline]`

Reimplemented from IG::Num::InputOutputElementDefinition.

The documentation for this class was generated from the following file:

- SampledDataDefinition.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events